org.freedesktop.cairo

## Class FillRule

- Object
- - org.freedesktop.bindings.Constant
  - - org.freedesktop.cairo.FillRule

-     public class FillRule
      extends org.freedesktop.bindings.Constant

  The rule governing how `fill()` works.
  Since:
    4.0.17
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FillRule` | `EVEN_ODD` Counts number of intersections; if odd then the region will be filled.
    `static FillRule` | `WINDING` Counts path crossings; if it crosses left it subtracts one, if it crosses right it adds one.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EVEN_ODD

          public static final FillRule EVEN_ODD

      Counts number of intersections; if odd then the region will be filled.
      Since:
        4.0.17

    - #### WINDING

          public static final FillRule WINDING

      Counts path crossings; if it crosses left it subtracts one, if it crosses right it adds one. If the final result is non-zero, then the region is filled. This is the default.
      Since:
        4.0.17